Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class SubflowStateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractStateModel
              org.springframework.webflow.engine.model.AbstractTransitionableStateModel
                  org.springframework.webflow.engine.model.SubflowStateModel

All Implemented Interfaces:
  Model

    public class SubflowStateModel

extends AbstractTransitionableStateModel

Model support for subflow states.

Author:
  Scott Andrews

Constructor Summary
`SubflowStateModel(java.lang.String id, java.lang.String subflow)` Create a subflow state model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.util.LinkedList` | `getInputs()`
`java.util.LinkedList` | `getOutputs()`
`java.lang.String` | `getSubflow()`
`java.lang.String` | `getSubflowAttributeMapper()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setInputs(java.util.LinkedList inputs)`
`void` | `setOutputs(java.util.LinkedList outputs)`
`void` | `setSubflow(java.lang.String subflow)`
`void` | `setSubflowAttributeMapper(java.lang.String subflowAttributeMapper)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractTransitionableStateModel
`fillCopy, getOnExitActions, getTransitions, setOnExitActions, setTransitions`

Methods inherited from class org.springframework.webflow.engine.model.AbstractStateModel
`fillCopy, getAttributes, getExceptionHandlers, getId, getOnEntryActions, getParent, getSecured, setAttributes, setExceptionHandlers, setId, setOnEntryActions, setParent, setSecured`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubflowStateModel

    public SubflowStateModel(java.lang.String id,
                             java.lang.String subflow)

  Create a subflow state model

  Parameters:
    `id` - the identifier of the state
    `subflow` - the identifier of the flow to launch as a subflow

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getSubflow

    public java.lang.String getSubflow()

  Returns:
    the subflow

### setSubflow

    public void setSubflow(java.lang.String subflow)

  Parameters:
    `subflow` - the subflow to set

### getSubflowAttributeMapper

    public java.lang.String getSubflowAttributeMapper()

  Returns:
    the subflow attribute mapper

### setSubflowAttributeMapper

    public void setSubflowAttributeMapper(java.lang.String subflowAttributeMapper)

  Parameters:
    `subflowAttributeMapper` - the subflow attribute mapper to set

### getInputs

    public java.util.LinkedList getInputs()

  Returns:
    the input mappings

### setInputs

    public void setInputs(java.util.LinkedList inputs)

  Parameters:
    `inputs` - the input mappings to set

### getOutputs

    public java.util.LinkedList getOutputs()

  Returns:
    the output mappings

### setOutputs

    public void setOutputs(java.util.LinkedList outputs)

  Parameters:
    `outputs` - the output mappings to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD